	program translate
	
CCCCC
C This program is designed to translate the format of
C EXP files from the old version with format F15.10
C for the velocities and angular velocities of the
C particles to the new format of e19.13.
CCCCC

	Integer*2 Np
	Parameter (Np=500)

	real*8 v1(Np),v2(Np),v3(Np),w1(Np),w2(Np),w3(Np)
	real*8 x(Np),y(Np),z(Np),r(Np)
	Character*12 fname(2)
	Integer*2 N,NNl,Nl,Nu,Nt,ni,nj,nk
	real*8 time0,dt
	real*8 ed,ew,mu,muw,beta0,beta0w
	real*8 Rmax,cell,con
	real*8 sD,gravx,gravy
	real*8 xlen,ylen,zlen
	
	write (*,'(a)') 'name of the input file'
	Read (*,'(A)') fname(1)
	
	write (*,'(a)') 'name of the output file'
	Read (*,'(A)') fname(2)

      Open(1, File=fname(1), Form='Formatted', Status='Old')

      read (1,'(3(10x,I5))') N,Nl,Nu
      read (1,'(3(10x,I5))') ni,nj,nk
      read (1,'(2F15.10)') time0,dt
      read (1,'(6F10.5)') ed,ew,mu,muw,beta0,beta0w
      read (1,'(3F15.10)') Rmax,cell,con
      read (1,'(3F15.10)') sD,gravx,gravy
      read (1,'(3F15.10)') xlen,ylen,zlen
  
      NNl = N+Nl
      Nt = N+Nl+Nu
      
      Do i = 1, Nt+2
         read (1,'(4F15.10)') x(i),y(i),z(i),r(i)
         read (1,'(3F15.10)') v1(i),v2(i),v3(i)
         read (1,'(3F15.10)') w1(i),w2(i),w3(i)
      End do

      Close(1)

      Open(2, File=fname(2), Form='Formatted', Status='New')

      write (2,'(3I15)') N,Nl,Nu
      write (2,'(3I15)') ni,nj,nk
      write (2,'(2F15.10)') time0,dt
      write (2,'(6F10.5)') ed,ew,mu,muw,beta0,beta0w
      write (2,'(3F15.10)') Rmax,cell,con
      write (2,'(3F15.10)') sD,gravx,gravy
      write (2,'(3F15.10)') xlen,ylen,zlen
    
      Do  i = 1, Nt+2
        write (2,'(4F15.10)') x(i),y(i),z(i),r(i)
        write (2,'(2(e19.13,2x),e19.13)') v1(i),v2(i),v3(i)
        write (2,'(2(e19.13,2x),e19.13)') w1(i),w2(i),w3(i)
      End do
    
      Close(2)

	stop
	end


