	program average
	
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C This program is used as a companion to	C
C cou3fbbasccd.f-12/20/93.  It averages		C
C successive rexp files with center statitics.	C
C It permits boxcar averaging of the results.	C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
	
      	integer Ns
	parameter (Ns=200)

	integer nofiles
	integer kcrit
	integer i,j
	character*24 name(50),output
	real dummy
	integer Nbox,p
	
	real y,s,u1,u2,u3
	real ya(Ns),sa(Ns),u1a(Ns),u2a(Ns),u3a(Ns)
	real yab(Ns),sab(Ns),u1ab(Ns),u2ab(Ns),u3ab(Ns)
	
	real w1,w2,w3
	real w1a(Ns),w2a(Ns),w3a(Ns)	
	real w1ab(Ns),w2ab(Ns),w3ab(Ns)	
	
	real uu1,uu2,uu3
	real uu1a(Ns),uu2a(Ns),uu3a(Ns)	
	real uu1ab(Ns),uu2ab(Ns),uu3ab(Ns)	
	
	real ww1,ww2,ww3
	real ww1a(Ns),ww2a(Ns),ww3a(Ns)	
	real ww1ab(Ns),ww2ab(Ns),ww3ab(Ns)	
	
	real vor
	real yva(Ns),vora(Ns)	
	real yvab(Ns),vorab(Ns)	
	
		do i=1,Ns

	ya(i)	=	0.0
	sa(i)	=	0.0
	u1a(i)	=	0.0
	u2a(i)	=	0.0
	u3a(i)	=	0.0

	w1a(i)	=	0.0
	w2a(i)	=	0.0
	w3a(i)	=	0.0

	uu1a(i)	=	0.0
	uu2a(i)	=	0.0
	uu3a(i)	=	0.0

	ww1a(i)	=	0.0
	ww2a(i)	=	0.0
	ww3a(i)	=	0.0
	
	yva(i)	=	0.0
	vora(i)	=	0.0

		end do
	
	write (*,'(a)') 'number of files?'
	read (*,*) nofiles
	
	if (nofiles.lt.1) then
	
		write (*,'(a)') 'nofiles < 1'
		stop
		
	end if
	
			do j =1,nofiles
		
	write (*,'(a,i2,a)') 'name of file no ',j,' ?'
	read (*,*) name(j)
	
	Open(1, File=name(j), Form='Formatted', Status='old')
	
	read (1,'(///,i8,//)') kcrit
	
	if (kcrit.gt.Ns) then
	
		write (*,'(a)') 'kcrit > Ns'
		stop
		
	end if
	
	write (*,'(a,i8)') 'kcrit = ',kcrit
	
	do i=1,kcrit
	read (1,'(f6.4,1HT,e10.3)') dummy
	end do
	
        read (1,'(//,f6.4,1HT,3(e10.3,1HT),e10.3)') y,s,u1,u2,u3
	
	ya(1)	=	ya(1)	+	y
	sa(1)	=	sa(1)	+	s
	u1a(1)	=	u1a(1)	+	u1
	u2a(1)	=	u2a(1)	+	u2
	u3a(1)	=	u3a(1)	+	u3
	
	do i=2,kcrit
	
        read (1,110) y,s,u1,u2,u3
	
	ya(i)	=	ya(i)	+	y
	sa(i)	=	sa(i)	+	s
	u1a(i)	=	u1a(i)	+	u1
	u2a(i)	=	u2a(i)	+	u2
	u3a(i)	=	u3a(i)	+	u3
	
     
110	format (f6.4,1HT,3(e10.3,1HT),e10.3)

	end do
	
	write (*,*) y,s,u1,u2,u3

        read (1,'(//,f6.4,1HT,2(e10.3,1HT),e10.3)') y,w1,w2,w3
	
	w1a(1)	=	w1a(1)	+	w1
	w2a(1)	=	w2a(1)	+	w2
	w3a(1)	=	w3a(1)	+	w3
	
	do i=2,kcrit
	
        read (1,111) y,w1,w2,w3
	
	w1a(i)	=	w1a(i)	+	w1
	w2a(i)	=	w2a(i)	+	w2
	w3a(i)	=	w3a(i)	+	w3
     
111	format (f6.4,1HT,2(e10.3,1HT),e10.3)

	end do

	write (*,*) y,w1,w2,w3

        read (1,'(//,f6.4,1HT,3(e10.3,1HT))') y,uu1,uu2,uu3
	
	uu1a(1)	=	uu1a(1)	+	uu1
	uu2a(1)	=	uu2a(1)	+	uu2
	uu3a(1)	=	uu3a(1)	+	uu3
	
	do i=2,kcrit
	
        read (1,112) y,uu1,uu2,uu3
	
	uu1a(i)	=	uu1a(i)	+	uu1
	uu2a(i)	=	uu2a(i)	+	uu2
	uu3a(i)	=	uu3a(i)	+	uu3
	
112	format (f6.4,1HT,3(e10.3,1HT))

	end do

	write (*,*) y,uu1,uu2,uu3

        read (1,'(//,f6.4,1HT,2(e10.3,1HT),e10.3)') y,ww1,ww2,ww3
	
	ww1a(1)	=	ww1a(1)	+	ww1
	ww2a(1)	=	ww2a(1)	+	ww2
	ww3a(1)	=	ww3a(1)	+	ww3
	
	do i=2,kcrit
	
        read (1,113) y,ww1,ww2,ww3
	
	ww1a(i)	=	ww1a(i)	+	ww1
	ww2a(i)	=	ww2a(i)	+	ww2
	ww3a(i)	=	ww3a(i)	+	ww3
     
113	format (f6.4,1HT,2(e10.3,1HT),e10.3)

	end do

	write (*,*) y,ww1,ww2,ww3

	read (1,'(///,f6.4,1HT,e10.3)') y,vor
	
	yva(1)	=	yva(1)	+	y
	vora(1)	=	vora(1)	+	vor
     
	
	do i = 2,kcrit-1
	
	read (1,'(f6.4,1HT,e10.3)') y,vor
	
	yva(i)	=	yva(i)	+	y
	vora(i)	=	vora(i)	+	vor
     
     	end do

	write (*,*) y,vor

	Close(1)
	
			end do

	write (*,'(a)') 'output file name?'
	read (*,*) output
	
	write (*,'(a)') 'boxcar size?'
	write (*,'(a)') 'this should be an odd integer'
	read (*,*) Nbox
	
	p = Nbox/2
	
	if (2*p+1.ne.Nbox) then
	
		write (*,'(a)') 'Boxcar integer is not odd;'
		write (*,'(a)') 'ignore boxcar averaging.'
		
		Nbox	=	1
		p	=	0
	
	end if
	
	Open(4, File=output, Form='Formatted', Status='new')
	
	write (4,100)
	
100	format (/,2x,1Hy,8x,4H<SF>,6x,4H<u1>,8x,4H<u2>,6x,4H<u3>)

	call boxcar (ya,yab,kcrit,Nbox)

	call boxcar (sa,sab,kcrit,Nbox)

	call boxcar (u1a,u1ab,kcrit,Nbox)
	call boxcar (u2a,u2ab,kcrit,Nbox)
	call boxcar (u3a,u3ab,kcrit,Nbox)
	
	call boxcar (w1a,w1ab,kcrit,Nbox)
	call boxcar (w2a,w2ab,kcrit,Nbox)
	call boxcar (w3a,w3ab,kcrit,Nbox)
     
	call boxcar (uu1a,uu1ab,kcrit,Nbox)
	call boxcar (uu2a,uu2ab,kcrit,Nbox)
	call boxcar (uu3a,uu3ab,kcrit,Nbox)
	
	call boxcar (ww1a,ww1ab,kcrit,Nbox)
	call boxcar (ww2a,ww2ab,kcrit,Nbox)
	call boxcar (ww3a,ww3ab,kcrit,Nbox)
	
	call boxcar (yva,yvab,kcrit-1,Nbox)
	call boxcar (vora,vorab,kcrit-1,Nbox)

      Do i = p+1,kcrit-p
      
        write (4,110)	yab(i)/nofiles,sab(i)/nofiles,
     &			u1ab(i)/nofiles,
     &			u2ab(i)/nofiles,
     &			u3ab(i)/nofiles

      End do

	write (4,101)
	
101	format (/,2x,1Hy,8x,4H<w1>,6x,4H<w2>,8x,4H<w3>)
     
      Do i = p+1,kcrit-p
      
        write (4,111)	yab(i)/nofiles,
     &			w1ab(i)/nofiles,
     &			w2ab(i)/nofiles,
     &			w3ab(i)/nofiles


      End do

	write (4,102)
	
102	format (/,2x,1Hy,7x,5H<uu1>,5x,5H<uu2>,7x,5H<uu3>)
     
      Do i = p+1,kcrit-p
      
        write (4,112)	yab(i)/nofiles,
     &			uu1ab(i)/nofiles,
     &			uu2ab(i)/nofiles,
     &			uu3ab(i)/nofiles
     
      End do

	write (4,103)
	
103	format (/,2x,1Hy,7x,5H<ww1>,5x,5H<ww2>,7x,5H<ww3>)
     
      Do i = p+1,kcrit-p
      
        write (4,113)	yab(i)/nofiles,
     &			ww1ab(i)/nofiles,
     &			ww2ab(i)/nofiles,
     &			ww3ab(i)/nofiles
     
      End do

	write (4,'(/,2x,1Hy,7x,4Hvor3,/)')

      Do i = p+1,kcrit-p-1
	
	write (4,'(f6.4,1HT,e10.3)') yvab(i)/nofiles,vorab(i)/nofiles
     
     	end do
	
      Close(4)

      stop
      
      end

